VERSION 5.00
Begin VB.Form frmSysDrives 
   AutoRedraw      =   -1  'True
   Caption         =   "System Drive Info"
   ClientHeight    =   2505
   ClientLeft      =   165
   ClientTop       =   1500
   ClientWidth     =   5745
   LinkTopic       =   "Form1"
   ScaleHeight     =   2505
   ScaleWidth      =   5745
   Begin VB.ListBox DriveList 
      Appearance      =   0  'Flat
      Height          =   2280
      Left            =   120
      Style           =   1  'Checkbox
      TabIndex        =   0
      Top             =   120
      Width           =   5535
   End
End
Attribute VB_Name = "frmSysDrives"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim FSO As FileSystemObject, Drvs As Drives, Drv As Drive


Private Sub DriveList_Click()
    Caption = DriveList.SelCount & " Drives Selected."
End Sub

Private Sub Form_Load()
    Dim DrvType As String
    Set FSO = New FileSystemObject
    Set Drvs = FSO.Drives
     
    For Each Drv In Drvs
        With Drv
            If .IsReady Then
                Select Case .DriveType
                    Case 0: DrvType = " [Unknown] " & Format(.TotalSize - .FreeSpace, "###,###,###,###") & " bytes available"
                    Case 1: DrvType = " [Removable] " & Format(.TotalSize - .FreeSpace, "###,###,###,###") & " bytes available"
                    Case 2: DrvType = " [Fixed] " & Format(.TotalSize - .FreeSpace, "###,###,###,###") & " bytes available"
                    Case 3: DrvType = " [Network] " & Format(.TotalSize - .FreeSpace, "###,###,###,###") & " bytes available"
                    Case 4: DrvType = " [CD-ROM] " & Format(.TotalSize - .FreeSpace, "###,###,###,###") & " bytes available"
                    Case 5: DrvType = " [RAM Disk] " & Format(.TotalSize - .FreeSpace, "###,###,###,###") & " bytes available"
                End Select
                DriveList.AddItem .DriveLetter & ":\  " & .VolumeName & _
                DrvType
            Else
                Select Case .DriveType
                    Case 0: DrvType = " [Unknown] "
                    Case 1: DrvType = " [Removable] "
                    Case 2: DrvType = " [Fixed] "
                    Case 3: DrvType = " [Network] "
                    Case 4: DrvType = " [CD-ROM] "
                    Case 5: DrvType = " [RAM Disk] "
                End Select
                DriveList.AddItem .DriveLetter & ":\  " & DrvType & " Drive Info Not Available."
    End If
         End With
    Next
End Sub

Private Sub Form_Resize()
    DriveList.Width = Me.ScaleWidth - (DriveList.Left * 2)
    DriveList.Height = Me.ScaleHeight - DriveList.Top
End Sub
